<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>

        <record model="ir.actions.act_window" id="action_scout_member_form">
            <field name="name">New Participant</field>
            <field name="res_model">scout.participant</field>
            <field name="view_mode">form</field>
        </record>
        <!-- <menuitem name="New Participant" parent="menu_scout_members_members" id="menu_scout_member_form" action="action_scout_member_form" sequence="1"/> -->

        <record id="view_scout_participant_member_filter" model="ir.ui.view">
            <field name="name">scout.participant.select</field>
            <field name="model">scout.participant</field>
            <field name="arch" type="xml">
                <search string="Membership Partners">
                    <field name="name" />
                    <field name="nickname" />
                    <field name="unit_id" />

                    <group expand="0" string="Group By..." colspan="10" col="8">
                        <filter string="Units" icon="terp-personal" domain="[]" context="{'group_by' : 'unit_id'}"/>
                        <filter string="Subunit" icon="terp-personal" domain="[]" context="{'group_by' : 'subunit_id'}"/>
                        <filter string="State" icon="terp-personal" domain="[]" context="{'group_by' : 'state'}"/>

                        <filter name='is_mine_group' string="My section" context="{'list_my_unit':1}"/>
                    </group>
                </search>
            </field>
        </record>

        <record model="ir.ui.view" id="view_scout_participant_form">
            <field name="name">Participant</field>
            <field name="model">scout.participant</field>
            <field name="arch" type="xml">
                <form string='Participant' version='7.0' >
                    <header>
                        <button name="action_subscribe" states="preregistered,unsubscribed" string="Subscribe" type="object" class="oe_highlight" groups="scout_association.group_scout_coordinator" />
                        <button name="action_unsubscribe" states="preregistered,subscribed" string="Unsubscribe" type="object" groups="scout_association.group_scout_coordinator"/>

                        <field name="state" widget="statusbar" statusbar_visible="preregistered,subscribed,unsubscribed" statusbar_colors='{"preregistered":"red","subscribed":"green", "unsubscribed":"red"}'/>
                    </header>
                    <sheet>
                        <field name="image" widget='image' class="oe_avatar oe_left" options='{"preview_image": "image_medium"}'/>
                        <div class="oe_title">
                            <h1>
                                <field name="name" default_focus="1" placeholder="Name" />
                                <field name="last_name" placeholder="Last name" />
                            </h1>
                            <field name="nickname" placeholder="Nickname" />
                            <field name="family_id" placeholder="Family"/>
                        </div>
                        <div class="oe_title" style="width: 30%%">

                        </div>
                        <group>
                            <group>
                                <div>
                                    <div>
                                        <label for="birthday" style="width: 35%%"/>
                                        <field name="birthday" style="width: 35%%"/>
                                        <label for="age" style="width: 15%%"/>
                                        <field name="age" style="width: 15%%"/>
                                    </div>
                                    <group>
                                        <group>
                                            <field name="dni" />
                                            <field name="gender" />
                                        </group>
                                        <group>
                                            <field name="nationality" />
                                        </group>
                                    </group>
                                </div>
                            </group>

                        </group>
                        <notebook>
                            <page string="Details">
                                <group>
                                    <group string="Association">
                                        <field name="member_number" />
                                        <field name="member_since"/>
                                        <field name="member_authorization" filename="member_authorization_name"/>
                                    </group>
                                    <group string="Current unit">
                                        <field name="unit_id" placeholder="Unit"/>
                                        <field name="subunit_id" placeholder="Subunit"/>
                                    </group>
                                </group>
                                <group string="Scholarship">
                                    <div>
                                        <label for="school_name" style="width: 25%%"/>
                                        <field name="school_name" style="width: 25%%" />
                                        <label for="school_grade" style="width: 25%%" />
                                        <field name="school_grade" style="width: 25%%" />
                                    </div>
                                </group>
                            </page>
                            <page string="Contact">
                                <group>
                                    <field name="email" />
                                    <field name="main_phone" />
                                </group>
                                <div>
                                    <label for="parent_ids"/>
                                    <field name="parent_ids" nolabel="1">
                                        <tree string="Parents">
                                            <field name="sequence" widget="handle"/>
                                            <field name="name"/>
                                            <field name="phone" />
                                            <field name="email" widget="email" />
                                            <field name="phone-alt" />
                                        </tree>
                                    </field>
                                </div>
                            </page>
                            <page string="Achievements">
                                <field name="achievements_ids" nolabel='1'>
                                    <tree string="Achievements" editable='bottom'>
                                        <field name="achieved_in" />
                                        <field name="achievement_id" />
                                        <field name="description" />
                                    </tree>
                                </field>
                            </page>
                            <!-- <page string="Evaluation">

                            </page>
                            <page string="Attendance">

                            </page>
                            <page string="Health Detail">

                            </page>
                            <page string="Batch">

                            </page> -->
                        </notebook>
                    </sheet>
                </form>
            </field>
        </record>

        <record model="ir.ui.view" id="view_scout_participant_tree">
            <field name="name">scout.participant.tree</field>
            <field name="model">scout.participant</field>
            <field name="arch" type="xml">
            <tree string="Activities">
                <field name="name"/>
                <field name="age"/>
                <field name="birthday"/>
                <field name="has_authorization"/>
                <field name="unit_id"/>
                <field name="subunit_id"/>
            </tree>
          </field>
        </record>

        <record model="ir.ui.view" id="scout_participant_kanban_view">
            <field name="name">res.partner.kanban</field>
            <field name="model">scout.participant</field>
            <field name="arch" type="xml">
                <kanban>
                    <field name="name"/>
                    <field name="nickname"/>
                    <field name="family_id"/>
                    <field name="unit_id"/>
                    <templates>
                        <t t-name="kanban-box">
                            <div class="oe_kanban_vignette oe_semantic_html_override">
                                <a type="open">
                                    <img t-att-src="kanban_image('scout.participant', 'image', record.id.value)" class="oe_kanban_image"/>
                                </a>
                                <div class="oe_kanban_details">
                                    <h4 class="oe_partner_heading"><a type="open"><field name="name"/></a></h4>

                                    <div class="oe_kanban_partner_links"/>
                                    <ul>
                                        <li><field name="nickname"/></li>
                                        <li><a type="open"><field name="unit_id"/></a></li>
                                        <li><field name="family_id"/></li>
                                    </ul>
                                </div>
                            </div>
                        </t>
                    </templates>
                </kanban>
            </field>
        </record>

        <record model="ir.actions.act_window" id="action_scout_members_participants_tree">
            <field name="name">Participants</field>
            <field name="res_model">scout.participant</field>
            <field name="view_mode">kanban,tree,form</field>
            <field name="context">{"search_default_is_mine":1}</field>
            <field name="help" type="html">
            <p class="oe_view_nocontent_create">
                Click to add a new member.
            </p>
            <p>
                A member is an association participant.
                Complete his contact information and associate it with a family.
            </p>
            </field>
        </record>

        <record model="ir.actions.act_window" id="action_scout_members_participants_my_unit_tree">
            <field name="name">Mi Sección</field>
            <field name="res_model">scout.participant</field>
            <field name="view_mode">kanban,tree,form</field>
            <field name="context">{"list_my_unit":1}</field>
            <field name="help" type="html">
                <p class="oe_view_nocontent_create">
                    Click to add a new member.
                </p>
                <p>
                    A member is an association participant.
                    Complete his contact information and associate it with a family.
                </p>
            </field>
        </record>

        <record model="ir.actions.act_window" id="action_unsubscribed_scout_members_participants_my_unit_tree">
            <field name="name">All members</field>
            <field name="res_model">scout.participant</field>
            <field name="view_mode">kanban,tree,form</field>
            <field name="context">{"list_unsubscribed_members":1}</field>
            <field name="help" type="html">
                <p class="oe_view_nocontent_create">
                    Click to add a new member.
                </p>
                <p>
                    A member is an association participant.
                    Complete his contact information and associate it with a family.
                </p>
            </field>
        </record>

        <!--
        <record model="ir.actions.act_window.view" id="action_scout_participant_view_kanban">
            <field name="sequence" eval="1"/>
            <field name="view_mode">kanban</field>
            <field name="view_id" ref="base.res_partner_kanban_view"/>
            <field name="act_window_id" ref="action_scout_members_participants_tree"/>
        </record> -->

        <menuitem name="My unit" parent="menu_scout_members_members" id="menu_scout_participant_myunit_tree" action="action_scout_members_participants_my_unit_tree" sequence="2" groups="scout_association.group_scout_scouter"/>
        <menuitem name="Participants" parent="menu_scout_members_members" id="menu_scout_participant_tree" action="action_scout_members_participants_tree" sequence="3" groups="scout_association.group_scout_scouter"/>
        <menuitem name="Unsubscribed Participants" parent="menu_scout_members_members" id="menu_scout_unsubscribed_participant_tree" action="action_unsubscribed_scout_members_participants_my_unit_tree" sequence="3" groups="scout_association.group_scout_group_manager"/>
	</data>
</openerp>